# Class DatabaseConfiguration

  Thelia\Config\DatabaseConfiguration implements Symfony\Component\Config\Definition\ConfigurationInterface

Namespace: Thelia\Config
Located at core/lib/Thelia/Config/DatabaseConfiguration.php

Methods summary
`public Symfony\Component\Config\Definition\Builder\TreeBuilder` | # `getConfigTreeBuilder( )` Generates the configuration tree builder. Generates the configuration tree builder. #### Returns `Symfony\Component\Config\Definition\Builder\TreeBuilder` The tree builder